Commit 7018a375 authored by Daniel Teske's avatar Daniel Teske Committed by Tobias Hunger

Fix compile

Change-Id: I02ffcba805251ce92f50dd283da3dcffff4f7919
Reviewed-by: default avatarTobias Hunger <tobias.hunger@digia.com>
parent 74896187
...@@ -412,9 +412,10 @@ QVariantMap UserFileAccessor::prepareSettings(const QVariantMap &data) const ...@@ -412,9 +412,10 @@ QVariantMap UserFileAccessor::prepareSettings(const QVariantMap &data) const
// This can not be done in a normal upgrader since the version information is needed // This can not be done in a normal upgrader since the version information is needed
// to decide which upgraders to run // to decide which upgraders to run
QVariantMap result = SettingsAccessor::prepareSettings(data); QVariantMap result = SettingsAccessor::prepareSettings(data);
if (data.contains(QLatin1String(OBSOLETE_VERSION_KEY))) { const QString obsoleteKey = QLatin1String(OBSOLETE_VERSION_KEY);
result = setVersionInMap(result, data.value(key, versionFromMap(data)).toInt()); if (data.contains(obsoleteKey)) {
result.remove(key); result = setVersionInMap(result, data.value(obsoleteKey, versionFromMap(data)).toInt());
result.remove(obsoleteKey);
} }
return result; return result;
} }
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment